# Interface methods for submodule: FFTWRealToHalfHermitianForwardFFTImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import RealToHalfHermitianForwardFFTImageFilterProxy as _RealToHalfHermitianForwardFFTImageFilterProxy


# Interface methods for class: FFTWRealToHalfHermitianForwardFFTImageFilter
class FFTWRealToHalfHermitianForwardFFTImageFilterProxy(_RealToHalfHermitianForwardFFTImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetPlanRigor(self, value: int) -> None:
		""""""
		...

	def GetPlanRigor(self) -> int:
		""""""
		...

	def GetSizeGreatestPrimeFactor(self) -> int:
		""""""
		...

